Bug 109195 - [GTK] Add an optional moduleset with hard to get packages (including libsecret)
Summary: [GTK] Add an optional moduleset with hard to get packages (including libsecret)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
: 101594 101813 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-07 08:26 PST by Martin Robinson
Modified: 2013-02-12 09:43 PST (History)
7 users (show)

See Also:


Attachments
Patch (54.12 KB, patch)
2013-02-08 14:46 PST, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (2.26 KB, patch)
2013-02-11 20:18 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-02-07 08:26:29 PST
This allows people to build on distributions like Ubuntu Precise without installing anything outside the jhbuild.
Comment 1 Martin Robinson 2013-02-08 14:46:51 PST
Created attachment 187366 [details]
Patch
Comment 2 Philippe Normand 2013-02-09 01:53:37 PST
Comment on attachment 187366 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187366&action=review

It looks good but please remove the gyp stuff, which I think is unrelated to this patch ;)

> Source/WTF/ChangeLog:10
> +        * WTF.gyp/WTF.gyp: Filter out MetaAllocator.(cpp/h) from the Chromium
> +        build. It's only necessary for GTK+.
> +        * WTF.gypi: Add MetaAllocator to the build for WebKitGTK+.

Is this really related with the scope of this patch?

> Source/WebKit/gtk/ChangeLog:12
> +        Add an experimental gyp build for WebKitGTK+. Currently only libjavascriptcoregtk,
> +        jsc, and minidom build (and only on platforms for that support bash). To use the
> +        build simply run:
> +
> +        $ gyp --generator-output=build --depth=. Source/WebKit/gtk/gyp/JavaScriptCore.gyp

Hum, ditto :) Looks like some ChangeLog entries belong to another bug.

> Source/JavaScriptCore/JavaScriptCore.gypi:13
> +            '<(PRODUCT_DIR)/DerivedSources/JavaScriptCore/Lexer.lut.h',
> +            '<(PRODUCT_DIR)/DerivedSources/JavaScriptCore/ArrayConstructor.lut.h',

Ok I guess this is unrelated as well

> Source/WebCore/platform/gtk/GRefPtrGtk.cpp:26
> +#ifdef HAVE_LIBSECRET

Perhaps that could be #if HAVE(LIBSECRET) ?
Comment 3 Martin Robinson 2013-02-11 20:16:00 PST
Retargeting this bug a bit. Instead of making libsecret optional, it makes sense to add some hard-to-get packages to the jhbuild setup that are just not installed by default.
Comment 4 Martin Robinson 2013-02-11 20:18:20 PST
Created attachment 187764 [details]
Patch
Comment 5 WebKit Review Bot 2013-02-12 07:08:37 PST
Comment on attachment 187764 [details]
Patch

Clearing flags on attachment: 187764

Committed r142620: <http://trac.webkit.org/changeset/142620>
Comment 6 WebKit Review Bot 2013-02-12 07:08:47 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Martin Robinson 2013-02-12 09:43:46 PST
*** Bug 101813 has been marked as a duplicate of this bug. ***
Comment 8 Martin Robinson 2013-02-12 09:43:50 PST
*** Bug 101594 has been marked as a duplicate of this bug. ***